<div class="container-fluid">
 
  <div class="jumbotron col-sm-4 p-2 m-0 bg-inverse">
 
    <h1 class="text-center">Calculator</h1>
 
    Displays the User Input
    <div class="input-group input-group-sm col-sm-12 m-0 p-0">
      <input class="col-sm-12 form-control text-lg-right" type="text"  placeholder="{{ num }}{{operate}}{{num2}}">
    </div>
 
    Displays the Results
    <div class="input-group input-group-sm col-sm-12 m-0 p-0">
      <div class="form-control text-sm-right" type="text">{{result}}</div>
    </div>
 
    <div class="col-sm-12 p-1 m-0">
      <button id="clear" class="btn btn-info col-sm-6" type="button" (click)="clearAll()">AC</button>
      <button id="operator" class="btn btn-secondary col-sm-6" type="button" (click)="pressOperator('/')">/</button>
    </div>
 
    <div class="col-sm-12 p-1 m-0">
      <button id="num7" class="btn btn-lg btn-outline-secondary col-sm-3 p-1" type="button" (click)="pressNumbers('7')">7</button>
      <button class="btn btn-lg btn-outline-secondary col-sm-3 p-1" type="button" (click)="pressNumbers('8')">8</button>
      <button class="btn btn-lg btn-outline-secondary col-sm-3 p-1" type="button" (click)="pressNumbers('9')">9</button>
      <button class="btn btn-lg btn-secondary col-sm-3 p-1" type="button" (click)="pressOperator('*')">x</button>
    </div>
    <div class="col-sm-12 p-1 m-0">
      <button class="btn btn-lg btn-outline-secondary col-sm-3 p-1" type="button" (click)="pressNumbers('4')">4</button>
      <button class="btn btn-lg btn-outline-secondary col-sm-3 p-1" type="button" (click)="pressNumbers('5')">5</button>
      <button class="btn btn-lg btn-outline-secondary col-sm-3 p-1" type="button" (click)="pressNumbers('6')">6</button>
      <button class="btn btn-lg btn-secondary col-sm-3 p-1" type="button" (click)="pressOperator('-')">-</button>
    </div>
    <div class="col-sm-12 p-1 m-0">
      <button class="btn btn-lg btn-outline-secondary col-sm-3 p-1" type="button" (click)="pressNumbers('1')">1</button>
      <button class="btn btn-lg btn-outline-secondary col-sm-3 p-1" type="button" (click)="pressNumbers('2')">2</button>
      <button class="btn btn-lg btn-outline-secondary col-sm-3 p-1" type="button" (click)="pressNumbers('3')">3</button>
      <button class="btn btn-lg btn-secondary col-sm-3 p-1" type="button" (click)="pressOperator('+')">+</button>
    </div>
    <div class="col-sm-12 p-1 m-0">
      
      <button class="btn btn-lg btn-outline-secondary col-sm-3 p-1" type="button" (click)="pressNumbers('.')">.</button>
      <button class="btn btn-lg btn-outline-secondary col-sm-3 p-1" type="button" (click)="pressNumbers('0')">0</button>
      <button id="result" class="btn btn-lg btn-success col-sm-6 p-1" type="button" (click)="getResults(); clearInput();">=</button>
    </div>
 
  </div>